Important Notice

You may need to update your browser to use this site. For questions, please consult your internet browser provider.

On January 12, 2016, we will no longer support TLS 1.0 or TLS 1.1 encryption over HTTPS on any of our domains. Any older browsers that do not support TLS 1.2 will no longer work after this date.

Why are we making this change?

This is not an action we are taking alone. EVERY website that transmits or processes credit card data will be making this change.

The PCI Security Council sets the rules on which technologies are acceptable for use in transmitting cardholder data. This change is mandated by the PCI Security Council and affects all merchants and service providers processing or transmitting credit card data.

Browser Support

The following browsers DO NOT support TLS 1.2 and will no longer work.

A comprehensive list of support is available here:

Please contact our customer support center at for any questions you may have.

Support Team